package yaros.HolaFichero;

import java.io.File;
import java.io.IOException;
public class HolaFichero {

    public static void main(String args[]) {
        MiSistema();
    }

    static boolean MiSistema() {
        char Windows='W';
        char Linux='L';
        System.out.println("Creando mi primer fichero ...");
        String os = System.getProperty("os.name");
        System.out.print("El sistema operativo es: ");
        if (os.charAt(0)==Windows) {
            System.out.print("Windows. ");
                new HolaFichero().CreoFicheroWindows();
            return true;
        }
        if (os.charAt(0)==Linux) {
            System.out.print("Linux:");
                new HolaFichero().CreoFicheroLinux();
            return true;
        }
        return false;
    }

    public void CreoFicheroWindows(){
        System.out.println("Creando fichero en Windows");
        File ficheroW = new File("C:\\Users\\yaros\\Documents\\Otros\\FicheroWindows.txt");
        if (!ficheroW.exists()) {
            try {
                ficheroW.createNewFile();
            } catch (IOException e) {
                System.out.print("Error");
            }
            System.out.println("Fichero creado");
        }
        else{
            System.out.println("Fichero ya existe");
        }
    }

    public void CreoFicheroLinux() {
        System.out.println("Creando fichero en Linux");
        File ficheroL = new File("/home/Yaros/Documents/FicheroLinux.txt");
        if (!ficheroL.exists()) {
            try {
                ficheroL.createNewFile();
            } catch (IOException e) {
                System.out.print("Error");
            }
            System.out.println("Fichero creado");
        } else {
            System.out.println("Fichero ya existe");
        }
    }
}